跳转到主要内容
GET
https://api.aisa.one/apis/v1/financial
/
financial-metrics
获取财务指标
curl --request GET \
  --url https://api.aisa.one/apis/v1/financial/financial-metrics \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aisa.one/apis/v1/financial/financial-metrics"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aisa.one/apis/v1/financial/financial-metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "financial_metrics": [
    {
      "ticker": "<string>",
      "market_cap": 123,
      "enterprise_value": 123,
      "price_to_earnings_ratio": 123,
      "price_to_book_ratio": 123,
      "price_to_sales_ratio": 123,
      "enterprise_value_to_ebitda_ratio": 123,
      "enterprise_value_to_revenue_ratio": 123,
      "free_cash_flow_yield": 123,
      "peg_ratio": 123,
      "gross_margin": 123,
      "operating_margin": 123,
      "net_margin": 123,
      "return_on_equity": 123,
      "return_on_assets": 123,
      "return_on_invested_capital": 123,
      "asset_turnover": 123,
      "inventory_turnover": 123,
      "receivables_turnover": 123,
      "days_sales_outstanding": 123,
      "operating_cycle": 123,
      "working_capital_turnover": 123,
      "current_ratio": 123,
      "quick_ratio": 123,
      "cash_ratio": 123,
      "operating_cash_flow_ratio": 123,
      "debt_to_equity": 123,
      "debt_to_assets": 123,
      "interest_coverage": 123,
      "revenue_growth": 123,
      "earnings_growth": 123,
      "book_value_growth": 123,
      "earnings_per_share_growth": 123,
      "free_cash_flow_growth": 123,
      "operating_income_growth": 123,
      "ebitda_growth": 123,
      "payout_ratio": 123,
      "earnings_per_share": 123,
      "book_value_per_share": 123,
      "free_cash_flow_per_share": 123
    }
  ]
}
{
"error": "Bad Request",
"message": "Invalid request parameters"
}
{
"error": "Unauthorized",
"message": "Invalid API key provided"
}
{
"error": "Payment Required",
"message": "This endpoint requires a paid subscription. Please upgrade your plan."
}
{
"error": "Not Found",
"message": "Ticker XXXX not found"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

ticker
string

公司的股票代码。如果未提供 cik,则此项为必填。

cik
string

公司的中央索引键(CIK)。可代替 ticker 使用。

period
enum<string>
必填

财务数据的时间段。

可用选项:
annual,
quarterly,
ttm
limit
integer

要返回的最大结果数量。

report_period
string<date>

按 YYYY-MM-DD 格式的确切报告期日期筛选。

report_period_gte
string<date>

筛选报告期大于或等于 YYYY-MM-DD 格式指定日期的数据。

report_period_lte
string<date>

筛选报告期小于或等于 YYYY-MM-DD 格式指定日期的数据。

report_period_gt
string<date>

按报告周期筛选,报告周期须晚于 YYYY-MM-DD 格式的日期。

report_period_lt
string<date>

筛选报告周期早于指定日期的报告,日期格式为 YYYY-MM-DD。

响应

某个 ticker 的历史财务指标和比率

financial_metrics
object[]

所请求股票代码的历史财务指标和比率。